using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class WareHouseDef : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    // در این بخش انبار جدید با استفاده از کلاسی که برای این کار در بخش کلاسها ایجاد شده بوجود می آید
    protected void Btn_Insert_Click(object sender, EventArgs e)
    {
        Lbl_Error.Text = String.Empty;
        try
        {
            Class_tblWareHouse AddWarehouse = new Class_tblWareHouse(Txt_WarhouseTitle.Text.Trim());
            if (AddWarehouse.UDF_CheckDuplicate() == 0)
            {
                AddWarehouse.UDF_CreateNewWareHouse();
                Txt_WarhouseTitle.Text = String.Empty;
                Grd_WareHouse.DataBind();
                Lbl_Error.Text = "انبار جدید ایجاد گردید ";
            }
            else
            {
                Lbl_Error.Text = "عنوان انبار وارد شده تکراری می باشد.";
            }
        }
        catch
        {
            Lbl_Error.Text = "اشکالی در ایجاد انبار جدید پیش آمده است";
        }

    }
}